Skip to navigation

Get recipient information from template

View as Markdown
Retrieves the information for all recipients in the specified template.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.

Query parameters

include_anchor_tab_locationsstringOptional

When set to true and include_tabs is set to true, all tabs with anchor tab properties are included in the response.

include_extendedstringOptional

When set to true, the extended properties are included in the response.

include_tabsstringOptional

When set to true, the tab information associated with the recipient is included in the response.

Response

Successful response.
agentslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an agent on the document.
carbonCopieslist of objectsOptional
A complex type containing information about recipients who should receive a copy of the envelope, but does not need to sign it.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
editorslist of objectsOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

recipientCountstringOptional

The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:

  • recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
  • includeDocuments - When set to true, the envelope time zone information is included in the message.
sealslist of objectsOptional
signerslist of objectsOptional
A complex type containing information about the Signer recipient.
witnesseslist of objectsOptional

Errors

400
Bad Request Error